List durable input requests for a conversation
curl --request GET \
--url https://api.veryfront.com/conversations/{conversation_id}/input-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/conversations/{conversation_id}/input-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/conversations/{conversation_id}/input-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"tool_call_id": "<string>",
"kind": "form",
"title": "<string>",
"description": "<string>",
"fields": [
{}
],
"recommendations": {},
"metadata": {},
"created_at": "<string>",
"expires_at": "<string>",
"submitted_at": "<string>",
"cancelled_at": "<string>",
"expired_at": "<string>",
"latest_response": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"actor_id": "<string>",
"values": {},
"created_at": "<string>"
}
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}List durable input requests for a conversation
Lists durable input requests for a conversation, optionally filtered by status or agent run.
GET
/
conversations
/
{conversation_id}
/
input-requests
List durable input requests for a conversation
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Query Parameters
Lifecycle status for the target record.
Available options:
open, submitted, cancelled, expired Required string length:
1 - 255Required range:
1 <= x <= 100⌘I